<?php
include('styles/globalheader.php');
include('config/config_main.php');

$dir    = 'data/csv/';
$output = glob($dir . '*.csv');
sort($output);
$contalogs = count($output);

$ollog  = $output[0];
$lstlog = $output[$contalogs - 1];

$startdate   = (substr($ollog, -12, 4)) . ',' . (substr($ollog, -8, 2)) . '-1,' . (substr($ollog, -6, 2));
$stopdate    = (substr($lstlog, -12, 4)) . ',' . (substr($lstlog, -8, 2)) . '-1,' . (substr($lstlog, -6, 2));
echo "
<script>
  $(function() {
	$('#datepickid' ).datepicker({ dateFormat: 'dd/mm/yy' ,minDate: new Date($startdate), maxDate: new Date($stopdate)});
	$('#oneDayBack').click(function() {
		var new_dateb = $('#datepickid').datepicker('getDate');
		new_dateb.setDate(new_dateb.getDate() - 1);
		$('#datepickid').datepicker('setDate', new_dateb);
	});
	$('#oneDayFwd').click(function() {
		var new_datef = $('#datepickid').datepicker('getDate');
		new_datef.setDate(new_datef.getDate() + 1);
		$('#datepickid').datepicker('setDate', new_datef);
	});
    });
</script>";

if (!empty($_POST['date1'])) {
    $date1 = $_POST['date1'];
    list($dd, $mm, $yyyy) = explode('/', $date1);
    if (!checkdate($mm, $dd, $yyyy)) {
        $date1 = '';
    }
} else {
    $date1 = (substr($lstlog, -6, 2)) . '/' . (substr($lstlog, -8, 2)) . '/' . (substr($lstlog, -12, 4));
}

$grid = array();
$selec = false;

for ($i = 1; $i <= $NUMMETER; $i++) {
    include("config/config_met$i.php");
    if (!empty($_POST["check$i"])) {
        $check[$i] = 'on';
	$selec = true;
    } else {
        $check[$i] = 'off';
    }
    
    if (${'TYPE' . $i} == 'Elect' && ${'PROD' . $i} != 0 && !isset($grid[${'PHASE' . $i}])) {
        $grid[${'PHASE' . $i}] = ${'PHASE' . $i};
    }
}

sort($grid);
$cnt   = count($grid);
$sscnt = 0;
$efcnt = 0;

for ($i = 0; $i < $cnt; $i++) {
    if (!empty($_POST["ss$i"])) {
        $ss[$i] = $_POST["ss$i"];
	$selec = true;
        if ($ss[$i] != 0) {
            $selfsuff[$sscnt] = $ss[$i];
            $sscnt++;
        }
    } else {
        $ss[$i] = 0;
    }
    if (!empty($_POST["ef$i"])) {
        $ef[$i] = $_POST["ef$i"];
	$selec = true;
        if ($ef[$i] != 0) {
            $energf[$efcnt] = $ef[$i];
            $efcnt++;
        }
    } else {
        $ef[$i] = 0;
    }
}

if (!$selec) {  //Nothing selected
$check[1] = 'on';
}

if (ereg("([0-9]{2})/([0-9]{2})/([0-9]{4})", $date1)) { // test date1 
    
    $titledate = substr($date1, 0, 10);
    $csvdate1     = (substr($date1, 6, 4)) . (substr($date1, 3, 2)) . (substr($date1, 0, 2)) . ".csv";
?>
<script type="text/javascript">

$(document).ready(function()
{
Highcharts.setOptions({
global: {
useUTC: false
},
lang: {
decimalPoint: '<?php
    echo $DPOINT;
?>',
thousandsSep: '<?php
    echo "$THSEP',
drillUpText: '$lgDRILLUP',
loading: '$lgLOAD',
printChart: '$lgPRINT',
resetZoom: '$lgRESETZ'
";
?>
}
});

var Mychart, options = {
chart: {
renderTo: 'container',
backgroundColor: null,
zoomType: 'xy',
resetZoomButton: {
                position: {
                    align: 'right',
                    verticalAlign: 'top'
                }
},
loading: {
 labelStyle: { top: '45%' },
 style: { backgroundColor: null }
},
spaceRight:20
},
credits: {enabled: false},
<?php
    echo "
subtitle: { text: '$lgDETAILSUBTITLE' },
xAxis: {
type: 'datetime',
minRange: 300000,
dateTimeLabelFormats: {minute: '%H:%M'}
},
yAxis: [";
    $yaxislist = array();
    for ($i = 1; $i <= $NUMMETER; $i++) {
        if ($check[$i] == 'on') {
            if (!in_array(${'UNIT' . $i}, $yaxislist)) {
                array_push($yaxislist, ${'UNIT' . $i});
            }
        }
    }
    if ($sscnt > 0) {
        array_push($yaxislist, '%');
    }
    if ($efcnt > 0 && !in_array('Wh', $yaxislist)) {
        array_push($yaxislist, 'Wh');
    }
    $conta = count($yaxislist);
    $conta--;
    for ($i = 0; $i <= $conta; $i++) {
        echo "{
  labels: { formatter: function() { return this.value +'$yaxislist[$i]';}},
  title: { text: '$yaxislist[$i]'},
  gridLineColor: '#BDBDBD'
  }";
        if ($i != $conta) {
            echo ',';
        }
    }
    echo "],
tooltip: {
formatter: function() {
";
    for ($i = 1; $i <= $NUMMETER; $i++) {
        settype(${'PRECI' . $i}, 'integer');
        if ($i == 1) {
            echo "if";
        } else {
echo " else if";
        }
        echo "(this.series.name=='${'METNAME'.$i}') {
return '<b>' + Highcharts.numberFormat(this.y,'${'PRECI'.$i}') + ' ${'UNIT'.$i} </b>'";
        if (${'TYPE' . $i} == 'Elect') {
            echo " + '~' + Highcharts.numberFormat(this.y*12,'0') + 'W $lgAVG'";
        }
echo "+ '<br>' + Highcharts.dateFormat('%H:%M', this.x)
}";
    }
    for ($i = 0; $i < $sscnt; $i++) {
        echo " else if (this.series.name=='$lgSELFS$selfsuff[$i]') {
return '<b>' + Highcharts.dateFormat('%H:%M', this.x) + ': ' + Highcharts.numberFormat(this.y,'1') + '%</b>'
}";
    }
    for ($i = 0; $i < $efcnt; $i++) {
        echo " else if (this.series.name=='$lgENERGYF$energf[$i]') {
return '<b>' + Highcharts.dateFormat('%H:%M', this.x) + ': ' + Highcharts.numberFormat(this.y,'0') + 'Wh</b>'
}";
    }
    echo "else {return '<b>' + Highcharts.numberFormat(this.y,'1') + '</b><br/>' + Highcharts.dateFormat('%H:%M', this.x)
}
}
},
legend: {
layout: 'horizontal',
align: 'center',
floating: false,
backgroundColor: '#FFFFFF'
},
plotOptions: {
 areaspline: {
 fillOpacity: 0.3
 }
},
exporting: {
filename: 'meterN-chart',
width: 1200
},
series: []
};
"; // End of echo
    
    // transmit the value to proceed them via _GET
    echo "
var date1 = '$csvdate1'
";
    for ($i = 1; $i <= $NUMMETER; $i++) {
        echo "var check$i = '$check[$i]'
";
    }
    
    for ($i = 0; $i < $cnt; $i++) {
        echo "var ss$i = '$ss[$i]'
	 var ef$i = '$ef[$i]'
	 
";
    }
    
    echo "
Mychart= new Highcharts.Chart(options);
Mychart.showLoading();
  $.getJSON('programs/programdetailed.php', {date1: date1";
    for ($i = 0; $i < $cnt; $i++) {
        echo ",ss$i:ss$i,ef$i:ef$i";
    }
    for ($i = 1; $i <= $NUMMETER; $i++) {
        echo ",check$i:check$i";
    }
    echo "}, function(JSONResponse) 
{
options.series = JSONResponse.data;
Mychart= new Highcharts.Chart(options);
Mychart.setTitle({text: JSONResponse.title});
Mychart.hideLoading();
});
 
});
</script>
"; //End of echo
} // End of date valid
echo "
<div align='center'>
<div id='container' style='width: 100%; height: 400px'></div>
<br>
<table border=1 cellspacing=0 cellpadding=0 width='30%' align='center'>
<tr><td> 
<form method='POST' action='indexdetailed.php' name='chooseDateForm' id='chooseDateForm' action='#'>
$lgCHOOSEDATE :&nbsp;
<button id='oneDayBack'> < </button>
<input name='date1' id='datepickid' value='$date1' size=8 maxlength=10>
<button id='oneDayFwd'> > </button>";

$housecons = false;
$houseprod = false;
for ($i = 1; $i <= $NUMMETER; $i++) {
    include("config/config_met$i.php");
    if (${'TYPE' . $i} == 'Elect') {
        if (${'PROD' . $i} == 2) {
            $housecons = true;
        } elseif (${'PROD' . $i} == 1) {
            $houseprod = true;
        }
        if (!isset($grid[${'PHASE' . $i}]) && ${'PROD' . $i} != 0) {
            $grid[${'PHASE' . $i}] = ${'PHASE' . $i}; // grid value on ph n
        }
    }
    echo "<tr><td><input type='checkbox' name='check$i' value='on'";
if ($check[$i] == 'on') {
    echo ' checked';
}
echo ">${'METNAME'.$i}</td></tr>";
}
if ($housecons == true && $houseprod == true) {
    echo "<tr><td>&nbsp;</td></tr>";
    for ($i = 0; $i < $cnt; $i++) {
        echo "<tr><td><input type='checkbox' name='ss$i' value='$grid[$i]'";
if ($ss[$i] != 0) {
    echo ' checked';
}
echo ">$lgSELFSUFF$grid[$i] <img src='images/info10.png' width='10' height='10' border='0' title='$lg5MINFO'> </td></tr>";
        echo "<tr><td><input type='checkbox' name='ef$i' value='$grid[$i]'";
if ($ef[$i] != 0) {
    echo ' checked';
}
echo ">$lgENERGYFL$grid[$i] <img src='images/info10.png' width='10' height='10' border='0' title='$lg5MINFO'> </td></tr>";
    }
}
echo "<tr><td align=center><br>&nbsp;<input type='submit' value='   $lgOK   '></td></tr>
</table>
</form>
<br>";
include("styles/" . $user_style . "/footer.php");
?>
